org.apache.sling.commons.contentdetection.internal

## Class FileNameExtractorImpl

- java.lang.Object
- - org.apache.sling.commons.contentdetection.internal.FileNameExtractorImpl

All Implemented Interfaces:
  FileNameExtractor

    public class FileNameExtractorImpl
    extends Object
    implements FileNameExtractor

### Constructor Summary

Constructors
Constructor and Description
`FileNameExtractorImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `extract(String name)`
`protected String` `getDefaultEncoding()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileNameExtractorImpl

    public FileNameExtractorImpl()

### Method Detail

#### extract

    public String extract(String name)

Specified by:
  `extract` in interface `FileNameExtractor`
Parameters:
  `name` - of the file which may be a file's path or url
Returns:
  the extracted file name

#### getDefaultEncoding

    protected String getDefaultEncoding()